# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime
import time

from driverng.protocol.mllp import MLLPProtocol


class BiosensorProtocol(MLLPProtocol):
    HL7_ACK = b"""MSH|^~\\&|%(receiver_id)s||%(sender_id)s||%(date)s||ACK^R01^ACK|%(control_id)s|P|2.6\rMSA|CA|%(ack_id)s|\r"""

    def get_ack_message(self, payload, date=None, control_id=None):
        splitted = payload.splitlines()[0].split(b"|")
        date = date or datetime.datetime.now()
        control_id = b"%d" % int(time.time() * 1000) if not control_id else control_id
        context = {
            b"date": date.strftime("%Y%m%d%H%M%S").encode(),
            b"control_id": control_id,
            b"sender_id": splitted[4],
            b"receiver_id": splitted[2],
            b"ack_id": splitted[9],
        }
        return BiosensorProtocol.HL7_ACK % context
