# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

from driverng.tests import BaseTest


class TestAdvia1800(BaseTest):
    MAPPING_CLASS = "advia1800"

    def test_order(self):
        self.assertOrderMessageEqual(
            self.WORKLIST_NEW_ADD_DEL,
            (
                "O 0101002N1123456              NYME            ANO             F  220130513 1.011  AM  BM \n"
                "O 0101001N3123456              NYME            ANO             F  220130513 1.011  CM \n"
            ),
        )

    def test_empty_qc_27842(self):
        self.assertQCEqual(
            (
                "R 020102120000000000000C0PA001               Multiqual 1     45651     /1501 M  020130531 1.012 39M            SR  40M            SR  41M            SR  29M         s  SR  28M         s  SR  27M         s  SR   3M         s  SR   4M         s  SR   5M         s  SR  23M         s  SR  22M            SR  25M         s  SR   1M         s  SR  50M         s  SR  21M         s  SR  11M            SR  12M            SR  13M         s  SR  15M         s  SR  17M         s  SR  18M         s  SR  \n"
                "R 020200720000000000000C0PA001                16M         s  SR  19M            SR   8M         s  SR   6M         s  SR   7M         s  SR  45M         s  SR   9M         s  SR  "
            ),
            [],
        )

    def test_alarme(self):
        self.assertResultEqual(
            "R 010100120130619170044N0440906199562        TEST            ADVIA1800NI     F 2920130619 1.021 17M         s  XYZ ",
            {
                "440906199562": {
                    "resultats": [
                        {
                            "alarmes": ["s"],
                            "date": datetime.datetime(2013, 6, 19, 17, 0, 44),
                            "resu": "",
                            "test": "17",
                            "type_prlv": "2",
                        }
                    ]
                }
            },
        )
