# -*- coding: utf8 -*-
from __future__ import unicode_literals

parser_class = "nimbus"


def test_encode_order(self):
    _order = """1    123456              A              B                                                                                                                                      """
    message = self.order()
    assert message == _order


def test_decode_result(self):
    _result = """
    Sample No,Patient Id,Name,Well,Target,Result,,Auto Interpretation,Test Kit
    ,,570102162100,A01,UU,-,N/A,-,Anyplex II STI-7 Detection v1.1 (96 plate)
    ,,,,UP,-,N/A,,
    ,,,,MG,-,N/A,,
    ,,,,MH,-,N/A,,
    ,,,,NG,-,N/A,,
    ,,,,CT,-,N/A,,
    ,,,,TV,-,N/A,,
    ,,,,IC,++,229.99,,
    ,,570102172029,E01,UU,++,656.55,""UU, UP"",Anyplex II STI-7 Detection v1.1 (96 plate)
    ,,,,UP,++,646.54,,
    ,,,,MG,-,N/A,,
    ,,,,MH,-,N/A,,
    ,,,,NG,-,N/A,,
    ,,,,CT,-,N/A,,
    ,,,,TV,-,N/A,,
    ,,,,IC,+,228.16,,
    """
    worklist = self.decode(_result)
    expected = {
        "context": "result",
        "samples": [
            {
                "results": [
                    {"code": "UU", "value": "-"},
                    {"code": "UP", "value": "-"},
                    {"code": "MG", "value": "-"},
                    {"code": "MH", "value": "-"},
                    {"code": "NG", "value": "-"},
                    {"code": "CT", "value": "-"},
                    {"code": "TV", "value": "-"},
                    {"code": "IC", "value": "++"},
                    {"code": "LEVEL_IC", "value": "229.99"},
                ],
                "sample_id": "570102162100",
                "rack": "A01",
                "type": "patient",
            },
            {
                "results": [
                    {"code": "UU", "value": "++"},
                    {"code": "LEVEL_UU", "value": "656.55"},
                    {"code": "UP", "value": "++"},
                    {"code": "LEVEL_UP", "value": "646.54"},
                    {"code": "MG", "value": "-"},
                    {"code": "MH", "value": "-"},
                    {"code": "NG", "value": "-"},
                    {"code": "CT", "value": "-"},
                    {"code": "TV", "value": "-"},
                    {"code": "IC", "value": "+"},
                    {"code": "LEVEL_IC", "value": "228.16"},
                ],
                "sample_id": "570102172029",
                "rack": "E01",
                "type": "patient",
            },
        ],
    }
    assert worklist == expected
