# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng.tests import BaseTest


class TestBN2SerHostProtocol(BaseTest):
    PROTOCOL_CLASS = "bn2_serhost"

    def test_send_recv(self):
        # BN2 SerHost
        self.assertSendRecvMessageEqual(
            "D62110160161 ANONYME            27    8      6.4100E+00 mg/l     ",
            """
        send <stx>D62110160161 ANONYME            27    8      6.4100E+00 mg/l     S<cr><etx>
        recv <stx>
        recv A?<cr><etx>
        """,
        )


class TestBN2AutoHostProtocol(BaseTest):
    PROTOCOL_CLASS = "bn2_autohost"

    def test_send_recv(self):
        # BN2 SerHost
        self.assertSendRecvMessageEqual(
            "D62110160161 ANONYME            27    8      6.4100E+00 mg/l     ",
            """
        send <stx>D62110160161 ANONYME            27    8      6.4100E+00 mg/l     S<cr><etx>
        recv <ack>
        """,
        )
