# -*- coding: utf8 -*-

from __future__ import unicode_literals

from driverng.astm.parser import RecursiveList
from driverng.tests import BaseTest


class TestPrococolWalkaway(BaseTest):
    PROTOCOL_CLASS = "walkaway"

    def splitjoin(self, line, separators):
        return RecursiveList.split(line, separators).join(separators)

    def test_recv(self):
        self.assertRecvMessageEqual(
            """
            recv <enq>
            send <ack>
            recv <stx>
            recv H,ValiScan,,LabPro,0.2,",",,N,,,,Y,,,<cr><lf><etx>
            send <ack>
            recv <stx>
            recv P,1,460153,MEDINA,ANNA,20111115,F,,20170321,,,MORML,MORENO MOLINIER MARIE LISA,,,,,,,N,N,,,0,,<cr><lf><etx>
            send <ack>
            recv <stx>
            recv B,1,681003210108,460153,,,AURI,AURICULAIRE,N,20170321,000000,,,,,,F,0,N,,,,,,<cr><lf><etx>
            send <ack>
            recv <stx>
            recv R,1,2,681003210108,MSP6E,MICroSTREP plus 6 EUCAST,20170324,,N,,,110,Streptococcus pyogenes (groupe A),,,,,,,,,,,,N,,,,,21,,N,,1,2,,1,F,,<cr><lf><etx>
            send <ack>
            recv <stx>
            recv M,1,AM,Ampicilline,<=0.06,N,,S*,S*,,,,,,,,,,,,,,,,,N<cr><lf><etx>
            send <ack>
            recv <stx>
            recv M,2,AUG,Amox/Ac.Clav,<=1,N,,S*,S*,,,,,,,,,,,,,,,,,N<cr><lf><etx>
            send <ack>
            recv <stx>
            recv M,3,AZI,Azithromycine,<=0.12,N,,S,S,,,,,,,,,,,,,,,,,N<cr><lf><etx>
            send <ack>
            recv <stx>
            recv L,L,Y,,<cr><lf><etx>
            send <ack>
            recv <eot>
            """,
            """
            H,ValiScan,,LabPro,0.2,",",,N,,,,Y,,,
            P,1,460153,MEDINA,ANNA,20111115,F,,20170321,,,MORML,MORENO MOLINIER MARIE LISA,,,,,,,N,N,,,0,,
            B,1,681003210108,460153,,,AURI,AURICULAIRE,N,20170321,000000,,,,,,F,0,N,,,,,,
            R,1,2,681003210108,MSP6E,MICroSTREP plus 6 EUCAST,20170324,,N,,,110,Streptococcus pyogenes (groupe A),,,,,,,,,,,,N,,,,,21,,N,,1,2,,1,F,,
            M,1,AM,Ampicilline,<=0.06,N,,S*,S*,,,,,,,,,,,,,,,,,N
            M,2,AUG,Amox/Ac.Clav,<=1,N,,S*,S*,,,,,,,,,,,,,,,,,N
            M,3,AZI,Azithromycine,<=0.12,N,,S,S,,,,,,,,,,,,,,,,,N
            L,L,Y,,
            """,
        )
