# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime
import json

import driverng.utils as utils


def test_splitlines():
    splitted = utils.splitlines("\nfoo\nbar\rzaz\r\nkoin\x1czz\r\n")
    assert splitted == ["", "foo", "bar", "zaz", "koin\x1czz"]


def test_log2byte():
    assert utils.log2byte("<stx>foo\\xa9<etx>") == b"\x02foo\xa9\x03"


def test_byte2log():
    assert utils.byte2log(b"\x02foo\xa9\x03") == "<stx>foo\\xa9<etx>"


def test_json_encoder():
    date = datetime.datetime(2014, 8, 19, 15, 58, 13, 343733)
    assert json.dumps(date, cls=utils.JSONEncoder) == '"2014-08-19T15:58:13.343"'
